HyperMerchant

Introducing HyperMerchant

HyperMerchant is a shopmenu GUI and NPC shopkeeper plugin for HyperConomy shops.
HyperConomy is the premier fully dynamic minecraft shop plugin. It is loaded with super unique features and is the perfect shop/economy plugin for RP, Faction, Freeplay, Towny, and Hybrid servers; Or any other server that is in need of a superb economy or shop plugin.

HyperConomy is most likely compatible with whatever economy plugin you are already using; And if you don't have an economy already, HyperConomy has one built in.

So what is a fully dynamic shop plugin? It means that prices change automatically based on what your players buy and sell, much like they would in a real economy. This functionality can be disabled if you want prices to remain the same. Check out HyperConomy now.

HyperMerchant simmers alongside and together they become a super sauce, packed with vitamin awesome!


- - - Commands and Permissions - - - Configuration - - - Menu Buttons




HyperMerchant Features


New in version 1.55

  • Management Menu for player shops.


  • Simple to use Inventory-style shop menus.
    There are helpful tooltips in the shop menu to guide new players.
    Purchase 1, 8, or a full stack of items in a single click.
    To sell items, simply drag them from your inventory window to the shop window.

  • NPC's are not required, you can enjoy the shop interface with /shopmenu and /remotemenu commands.

  • Assign many NPC's around your world to the same shop.

  • Convenient commands to quickly set NPC greetings, farewells, offduty, and service denial messages.

  • NPCs can be toggled to offduty mode to temporarily close shops.

  • Players who own a player shop can be "clicked on" to open their shop menu.

  • Player shop owners can toggle themselves "/onduty" and you can limit them to only being "open" while inside their shop.*

  • Your players can /hire their own NPC shopkeepers (clerks) for a configurable "comission percentage".

  • You can set up ready to hire merchants by toggling a hypermerchant with /hmerch forhire.

  • You can set up ready to rent playershops by assigning a merchant to a playershop and toggle that merchant with /hmerch rental.

  • Configure the Interface Icons in the shopmenu gui by editing "menubuttons.yml".

  • Sort menu by name, material, sell price, buy price, or stock amount. (donated for by hellphish)

  • Hide items with zero stock. (donated for by hellphish)





Requirements


For Bukkit 1.7.6
Use the latest release or dev build of HyperConomy.
Use dev build #72 of HyperMerchant.

Use latest dev build of Citizens2.

For Bukkit 1.7.2
Use the latest release or dev build of HyperConomy.
Use HyperMerchant dev build #72

If you want to use NPCs use Citizens2 dev build #1098

Alternatives:
HyperMerchant 1.41 is compatible with HyperConomy dev builds #368 - #373.
HyperMerchant dev build #58 is compatible with HyperConomy dev build #375.
HyperMerchant dev build #62 is compatible with HyperConomy dev build #386.
Have build #335 of HyperConomy installed to use version 1.33.



For Bukkit 1.6.4
You must use HyperMerchant-1.27 and you must have version 0.972 or 0.973 of HyperConomy installed.



HyperMerchant is compatible with Java 6.

You must have Citizens2 installed to use NPC shopkeepers. You do not need Citizens if you only want to use the shop menus.




Development Builds and Source Code



All Development builds of this project are >Available here<
These builds have not been approved by the BukkitDev staff. Use them at your own risk.

Get the source for HyperMerchant on github.




Donations

I now accept donations in cryptocurrency. If you message me I will happily honor you as a donor on this page.

DogeCoin:
DJHgjbD2qpeWstJxBtyzEVetPSeGiQN2Zt

BitCoin:
1EwTvDRXu9nERfzdFxWZMV8y5ct76e1DPT



SHORT VIDEO TUTORIAL




Also, you can direct your players to this video on how to shop in HyperConomy shops via HyperMerchant menus or HyperConomy commands:

Shopping Tutorial: http://www.youtube.com/watch?v=Ck4gr-QrjG8

Video is courtesy of JacksmackDave. Thank you!



Special Thanks

Thanks to Tux2 for getting me started with this bukkit plugin tutorial.
Thanks to nisovin for sharing his menu code in this forum post.
And especially thanks to RegalOwl for developing the featurefilled HyperConomy plugin. It is the machine and HyperMerchant is just an interface built upon it.
Much credit also goes to the developers of Citizens, whose plugin provides all the npc interaction.


Reporting Bugs

If you are having a problem, there is a good chance it has never been reported yet. If I don't hear about the bug, I probably won't ever know about the bug, because I don't run a populated server to test out every feature of HyperMerchant.
Please take the time to report any issue, it will be a help to the community and your own server. I usually check this page multiple time each day. Thanks! =)

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of shmancelot shmancelot Nov 24, 2013 at 12:14 UTC - 0 likes

    @mrelfire: Go

    Nope it isn't your config. I have not uploaded a dev version yet compatible with current release of HyperConomy.

    Check back, it will be soon.

    BFAK:90709223,a01af5c3a2a229e9cf522c67f08275a5f79815de2d709b8674048b52bba318d9

  • Avatar of mrelfire mrelfire Nov 24, 2013 at 07:37 UTC - 0 likes

    it crash with 1.6.4, is it my config ?

  • Avatar of shmancelot shmancelot Nov 20, 2013 at 23:03 UTC - 0 likes

    @ryanthemagi: Go

    Thank you for the error report ryan, I will have a new dev build available soon.

  • Avatar of RegalOwl RegalOwl Nov 20, 2013 at 05:30 UTC - 0 likes

    @ryanthemagi: Go

    Update HyperConomy Web to 0.0.2. That error isn't from HyperMerchant.

    EDIT: I take that back. One of those errors is from HyperMerchant, but most are from HyperConomy Web.

    Last edited Nov 20, 2013 by RegalOwl
  • Avatar of ryanthemagi ryanthemagi Nov 19, 2013 at 19:40 UTC - 1 like

    The most recent version on your Github is not compatible with the most recent version of Hyperconomy (.974.1). Here is the error message that my console spews when I run both versions: http://pastebin.com/GpKRh3gv

  • Avatar of shmancelot shmancelot Oct 15, 2013 at 06:04 UTC - 1 like

    @WOLF81au: Go

    Alright, please try the latest dev build found at the github link above. (The latest dev build is not compatible with HyperConomy versions below 0.974)

    Please note, player shops are not properly supported yet. But your server shops should function as they have in the past. Player shop support will come soon.

    Last edited Oct 15, 2013 by shmancelot
  • Avatar of WOLF81au WOLF81au Oct 15, 2013 at 02:02 UTC - 0 likes

    Any chance you could update this to the Hyperconomy .974 snapshot? I just tried it and I can't select the npcs to be hmerchants. it's now broken and will have to go back to .973

  • Avatar of shmancelot shmancelot Oct 08, 2013 at 16:47 UTC - 0 likes

    Version 1.27 has been released. HyperConomy shop permissions are now supported. Thank you MikeGold for your help reporting this issue and testing new builds =)

    Last edited Oct 08, 2013 by shmancelot
  • Avatar of MikeGold MikeGold Oct 08, 2013 at 11:35 UTC - 0 likes

    Works great! Thanks a lot for the fast fix ;]

  • Avatar of shmancelot shmancelot Oct 08, 2013 at 04:52 UTC - 0 likes

    Alright I think I've sorted the permissions issue. Expect an upload in the next couple of days. Or try the latest dev build, available from the github link above.

Facts

Date created
Aug 15, 2013
Category
Last update
May 17, 2014
Development stage
Release
Language
  • enUS
License
GNU General Public License version 3 (GPLv3)
Curse link
HyperMerchant
Downloads
7,961
Recent files

Authors

Relationships

Required dependency
HyperConomy
Optional dependency
Citizens